# Automated Tests for NiceGUI

## Setup

### Mac

```bash
cd nicegui # enter the project root dir
brew install cask chromedriver
python3 -m pip install -r tests/requirements.txt
```

## Usage

Use selenium-fixture to control and query the website.
See https://selenium-python.readthedocs.io/getting-started.html for documentation of the available method calls to the webdriver.
